# Generated by sila2.code_generator; sila2.__version__: 0.9.2
# -----
# This class does not do anything useful at runtime. Its only purpose is to provide type annotations.
# Since sphinx does not support .pyi files (yet?), so this is a .py file.
# -----

from __future__ import annotations

from typing import TYPE_CHECKING

if TYPE_CHECKING:

    from typing import Iterable, Optional

    from sila2.client import ClientMetadataInstance, ClientObservableProperty
    from stirrercontroller_types import SetRPM_Responses


class StirrerControllerClient:
    """

    Controlling a stirrer.

    """

    SpeedRPM: ClientObservableProperty[float]
    """
    Current Speed in RPM
    """

    def SetRPM(self, Speed: float, *, metadata: Optional[Iterable[ClientMetadataInstance]] = None) -> SetRPM_Responses:
        """
        Set stirrer speed in rounds per minute
        """
        ...
